aboutsummaryrefslogtreecommitdiff
path: root/evolution
diff options
context:
space:
mode:
authorBoris Kolpackov <boris@codesynthesis.com>2013-06-03 15:02:51 +0200
committerBoris Kolpackov <boris@codesynthesis.com>2013-06-03 15:02:51 +0200
commite6b93ff477d7c789b786b059dcab1f66e5aae013 (patch)
tree06abb2e92d7e6f99c957ba0f0641afc36a1712d9 /evolution
parentd83890c0c2c95da9e190a8f9a7ddc29cd621bef7 (diff)
Use database name in options and driver files (autotools part)
Diffstat (limited to 'evolution')
-rw-r--r--evolution/makefile2
-rwxr-xr-xevolution/tester40
-rwxr-xr-xevolution/tester.in43
3 files changed, 44 insertions, 41 deletions
diff --git a/evolution/makefile b/evolution/makefile
index 9f85cf8..d83995e 100644
--- a/evolution/makefile
+++ b/evolution/makefile
@@ -33,7 +33,7 @@ $(default): $(addprefix $(out_base)/,$(addsuffix /,$(build_tests)))
name := evolution
$(dist): name := $(name)
$(dist): data_dist := tester.bat
-$(dist): exec_dist := tester
+$(dist): exec_dist := tester.in
$(dist): export dirs := $(filter-out $(no_dist_tests),$(tests))
$(dist): export extra_dist := $(data_dist) $(exec_dist) test.bat \
$(call vc9slns,$(name)) $(call vc10slns,$(name)) $(call vc11slns,$(name))
diff --git a/evolution/tester b/evolution/tester
deleted file mode 100755
index 2aecea6..0000000
--- a/evolution/tester
+++ /dev/null
@@ -1,40 +0,0 @@
-#! /bin/sh
-
-# file : evolution/tester
-# copyright : Copyright (c) 2009-2013 Code Synthesis Tools CC
-# license : GNU GPL v2; see accompanying LICENSE file
-
-#
-# Run an evolution test. The test driver is in the current directory. The
-# data files, if any, are in $srcdir.
-#
-
-if test -f test1.sql; then
- # Standalone schema.
- #
-
- # Drop everything.
- $top_builddir/db-driver test3.sql || exit 1
- $top_builddir/db-driver test2.sql || exit 1
- $top_builddir/db-driver test1.sql || exit 1
-
- # Base schema.
- $top_builddir/db-driver test3-002-pre.sql || exit 1
- $top_builddir/db-driver test3-002-post.sql || exit 1
- ./driver --options-file "$top_builddir/db.options" 1 || exit 1
-
- # Migration.
- $top_builddir/db-driver test3-003-pre.sql || exit 1
- ./driver --options-file "$top_builddir/db.options" 2 || exit 1
- $top_builddir/db-driver test3-003-post.sql || exit 1
-
- # Current schema.
- ./driver --options-file "$top_builddir/db.options" 3 || exit 1
-
-else
- # Embedded schema. Just run the driver.
- #
- ./driver --options-file "$top_builddir/db.options" 1 || exit 1
- ./driver --options-file "$top_builddir/db.options" 2 || exit 1
- ./driver --options-file "$top_builddir/db.options" 3 || exit 1
-fi
diff --git a/evolution/tester.in b/evolution/tester.in
new file mode 100755
index 0000000..805b360
--- /dev/null
+++ b/evolution/tester.in
@@ -0,0 +1,43 @@
+#! /bin/sh
+
+# file : evolution/tester.in
+# copyright : Copyright (c) 2009-2013 Code Synthesis Tools CC
+# license : GNU GPL v2; see accompanying LICENSE file
+
+#
+# Run an evolution test. The test driver is in the current directory. The
+# data files, if any, are in $srcdir.
+#
+
+db_driver="$top_builddir/@database@-driver"
+db_options="$top_builddir/@database@.options"
+
+if test -f test1.sql; then
+ # Standalone schema.
+ #
+
+ # Drop everything.
+ $db_driver test3.sql || exit 1
+ $db_driver test2.sql || exit 1
+ $db_driver test1.sql || exit 1
+
+ # Base schema.
+ $db_driver test3-002-pre.sql || exit 1
+ $db_driver test3-002-post.sql || exit 1
+ ./driver --options-file "$db_options" 1 || exit 1
+
+ # Migration.
+ $db_driver test3-003-pre.sql || exit 1
+ ./driver --options-file "$db_options" 2 || exit 1
+ $db_driver test3-003-post.sql || exit 1
+
+ # Current schema.
+ ./driver --options-file "$db_options" 3 || exit 1
+
+else
+ # Embedded schema. Just run the driver.
+ #
+ ./driver --options-file "$db_options" 1 || exit 1
+ ./driver --options-file "$db_options" 2 || exit 1
+ ./driver --options-file "$db_options" 3 || exit 1
+fi